E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::ClientProtocol::Config Struct Reference

A structure containing GSmtp::ClientProtocol configuration parameters. More...

`#include <gclientprotocol.h>`

## Public Member Functions
| Config (const std::string &name, unsigned int response_timeout, unsigned int ready_timeout, unsigned int filter_timeout, bool use_starttls_if_possible, bool must_use_tls, bool must_authenticate, bool anonymous, bool must_accept_all_recipients, bool eight_bit_strict)

## Public Attributes
std::string | thishost_name
unsigned int | response_timeout
unsigned int | ready_timeout
unsigned int | filter_timeout
bool | use_starttls_if_possible
bool | must_use_tls
bool | must_authenticate
bool | anonymous
bool | must_accept_all_recipients
bool | eight_bit_strict

## Detailed Description

A structure containing GSmtp::ClientProtocol configuration parameters.

Definition at line 183 of file gclientprotocol.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gclientprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gclientprotocol.cpp